	//------------------ config section starts ------------------
	//input variables
	var fbAppId = "165738540236107"; //your app Id goes here
	var permissions_needed = "email,user_location,user_hometown,user_relationship_details,user_relationships,user_birthday";
	
	//output variables available in JS after Fb login
	var id; 				//unique fb id/key of logged in user
	var profile_pic_link;	//web link to the profile pic
							//use as src value in <img> tag
	var first_name;	
	var last_name;
	var full_name;			//full name as on Fb profile
	var email;				//email id 
	var gender;		
	var birthday;
	var current_location;			//current location
	var hometown;
	var relationship_status;
	var interested_in;		//male or female or both..
	var link;				//fb link of user profile
	var timezone;

	//------------------ config section ends --------------------
	
    // Load the SDK Asynchronously
    (function(d){
      var js, id = 'facebook-jssdk'; if (d.getElementById(id)) {return;}
      js = d.createElement('script'); js.id = id; js.async = true;
      js.src = "//connect.facebook.net/en_US/all.js";
      d.getElementsByTagName('head')[0].appendChild(js);
    }(document));
	
    window.fbAsyncInit = function() {
      FB.init({
        appId      : fbAppId, 
        status     : true, // check login status
        cookie     : true, // enable cookies to allow the server to access the session
        xfbml      : true  // parse XFBML
      });
	  
	    // listen for and handle auth.statusChange events
        FB.Event.subscribe('auth.statusChange', function(response) {
			if (response.authResponse) {
				// user has auth'd your app and is logged into Facebook
				FB.api('/me', function(user){
					if (user.name) {
						id = user.id;
						first_name = user.first_name;
						last_name = user.last_name;
						full_name = user.name;
						email =  user.email;
						gender =  user.gender;
						birthday = user.birthday;
						hometown = user.hometown.name;
						relationship_status =  user.relationship_status;
						interested_in = user.interested_in;
						link =  user.link;
						timezone =  user.timezone;
						profile_pic_link = "https://graph.facebook.com/" + id + "/picture";
						current_location = user.location.name;
						
						//this is my JS function to display output variables mentioned in config
						displayUserDetails(); //you can replace with your own function.
					}
				})
				document.getElementById('auth-loggedout').style.display = 'none';
				document.getElementById('auth-loggedin').style.display = 'block';
			} else {
				// user has not auth'd your app, or is not logged into Facebook
				document.getElementById('auth-loggedout').style.display = 'block';
				document.getElementById('auth-loggedin').style.display = 'none';
			}
        });
    };
	
	//call facebook login
	function fbLogin() {
		FB.login(function (response) {}, {scope: permissions_needed});
	}

	//call facebook logout
	function fbLogout() {
		FB.logout();
	}
	
	function displayUserDetails() {
		document.getElementById('auth-display-img').innerHTML = "<img style='height:100%;' src='" + profile_pic_link + "'/>";
		document.getElementById('auth-display-name').innerHTML = full_name;		
		id_str =  "Fb Id/Key of the user: " + id + "<br/>";
		email_str =  "Email: " + email + "<br/>";
		gender_str =  "Gender: " + gender + "<br/>";
		birthday_str =  "Birthday: " + birthday + "<br/>";
		location_str =  "Current City: " + current_location + "<br/>";
		hometown_str =  "Hometown: " + hometown + "<br/>";
		relationship_status_str =  "Relationship Status: " + relationship_status + "<br/>";
		interested_in_str =  "Interested in: " + interested_in + "<br/>";
		link_str =  "Fb Link: " + link + "<br/>";
		timezone_str =  "Timezone: " + timezone + "<br/>";
		document.getElementById('auth-info').innerHTML = id_str + email_str + gender_str + birthday_str + location_str + hometown_str + relationship_status_str + interested_in_str + link_str + timezone_str;	
	}
